!  ConsoleApp.f90 
!
!  FUNCTIONS:
!	ConsoleApp      - Entry point of console application.
!
!****************************************************************************
!  PROGRAM: ConsoleApp
!  PURPOSE:  Entry point for the console application.
!****************************************************************************

program ConsoleApp
integer*4 N
real*8    x0,x1,step_x,sum,xi
real*8    func
open(unit=1,file='results.txt')
open(unit=2,file='input_data.txt')
	read(2,*) N
	write(1,"('Number of nodes in mesh =',i3)") N
	read(2,*) x0,x1
	write(1,"('Interval [x0,x1] = [',g12.5,1x,',',g12.5,']')") x0,x1
	step_x = (x1-x0)/dfloat(N-1)
	NM = N - 1
	sum = 0.0d0
	do j=1,NM
		xi  = x0 + dfloat(j-1)*step_x
		sum = sum + func(xi)*step_x
	enddo
	write(1,"('Integral =',g12.5)") sum
close(2)
close(1)
stop
end program ConsoleApp
!****************************************************************************
!
!  function: func
!
!****************************************************************************
real*8 function func(xi)
real*8 xi
	func = 2.0d0*xi + 1.0d0
return
end